#ifndef _FREERTOS_CONFIG_H_
#define _FREERTOS_CONFIG_H_

#include "hpm_soc.h"

#define PRIVILEGED_DATA
#define PRIVILEGED_FUNCTION

/* 每秒Tick个数 */
#define configTICK_RATE_HZ 1000
/* 使用32位Tick */
#define configUSE_16_BIT_TICKS 0
/* MCHTMR时钟源频率 */
#define configCPU_CLOCK_HZ 1000000

/* 使用定时器 */
#define configUSE_TIMERS 1
/* 使用互斥体 */
#define configUSE_MUTEXES 1
/* 使用队列集 */
#define configUSE_QUEUE_SETS 1
/* 使用递归互斥体 */
#define configUSE_RECURSIVE_MUTEXES 1
/* 使用计数信号量 */
#define configUSE_COUNTING_SEMAPHORES 1

/* 使用IDLE Hook */
#define configUSE_IDLE_HOOK 1
/* 使用Tick Hook */
#define configUSE_TICK_HOOK 1
/* 使用Malloc Failed Hook */
#define configUSE_MALLOC_FAILED_HOOK 1
/* 使用Check For Stack Overflow */
#define configCHECK_FOR_STACK_OVERFLOW 2
/* 使用Daemon Task Startup Hook */
#define configUSE_DAEMON_TASK_STARTUP_HOOK 1

/* 使用可视化跟踪 */
#define configUSE_TRACE_FACILITY 1
#define configUSE_STATS_FORMATTING_FUNCTIONS 1

/* 使用抢占式调度 */
#define configUSE_PREEMPTION 1
/* 最大优先级个数 */
#define configMAX_PRIORITIES 8
/* 定时器的优先级 */
#define configTIMER_TASK_PRIORITY configMAX_PRIORITIES - 1

/* 定时器队列大小 */
#define configTIMER_QUEUE_LENGTH 8
/* IDLE任务栈大小 */
#define configMINIMAL_STACK_SIZE 512
/* vPortFree后清零 */
#define configHEAP_CLEAR_MEMORY_ON_FREE 1
/* 定时器任务栈大小 */
#define configTIMER_TASK_STACK_DEPTH configMINIMAL_STACK_SIZE

/* RISC-V Machine Timer */
#define configMTIME_BASE_ADDRESS HPM_MCHTMR_BASE
#define configMTIMECMP_BASE_ADDRESS HPM_MCHTMR_BASE + 8

#define INCLUDE_vTaskDelay 1
#define INCLUDE_vTaskDelete 1
#define INCLUDE_vTaskSuspend 1
#define INCLUDE_eTaskGetState 1
#define INCLUDE_xTaskGetHandle 1
#define INCLUDE_vTaskDelayUntil 1
#define INCLUDE_xTaskAbortDelay 1
#define INCLUDE_vTaskPrioritySet 1
#define INCLUDE_uxTaskPriorityGet 1
#define INCLUDE_xTaskResumeFromISR 1
#define INCLUDE_xTimerPendFunctionCall 1
#define INCLUDE_xTaskGetIdleTaskHandle 1
#define INCLUDE_xTaskGetSchedulerState 1
#define INCLUDE_xTaskGetCurrentTaskHandle 1
#define INCLUDE_uxTaskGetStackHighWaterMark 1
#define INCLUDE_uxTaskGetStackHighWaterMark2 1
#define configASSERT(x) if ((x) == 0) {taskDISABLE_INTERRUPTS(); __asm volatile("ebreak"); for (;;);}

#endif // _FREERTOS_CONFIG_H_
