#ifndef _CONFIG_H_
#define _CONFIG_H_

#ifdef CONFIG_FREERTOS
  #include "FreeRTOS.h"
  #include "task.h"
#endif // CONFIG_FREERTOS

#include "board.h"
#include "pinmux.h"
#include "hpm_romapi.h"
#include "hpm_wdg_drv.h"
#include "hpm_dram_drv.h"
#include "hpm_gpio_drv.h"
#include "hpm_sdxc_drv.h"
#include "hpm_clock_drv.h"
#include "hpm_pllctl_drv.h"

/* Image0 Size */
#define CFG_IMAGE0_SIZE (0x00800000)
/* Image0 Start */
#define CFG_IMAGE0_START (0x80000000)

/* Image1 Size */
#define CFG_IMAGE1_SIZE (0x00800000)
/* Image1 Start */
#define CFG_IMAGE1_START (0x80800000)

/* CPU0 ILM Size */
#define CFG_CPU0_ILM_SIZE (0x00040000)
/* CPU0 ILM Start */
#define CFG_CPU0_ILM_START (0x01000000)

/* CPU1 ILM Size */
#define CFG_CPU1_ILM_SIZE (0x00040000)
/* CPU1 ILM Start */
#define CFG_CPU1_ILM_START (0x01180000)

/* CPU0 DLM Size */
#define CFG_CPU0_DLM_SIZE (0x00040000)
/* CPU0 DLM Start */
#define CFG_CPU0_DLM_START (0x01040000)

/* CPU1 DLM Size */
#define CFG_CPU1_DLM_SIZE (0x00040000)
/* CPU1 DLM Start */
#define CFG_CPU1_DLM_START (0x011C0000)

/* CPU0 SRAM Size */
#define CFG_CPU0_SRAM_SIZE (0x00080000)
/* CPU0 SRAM Start */
#define CFG_CPU0_SRAM_START (0x01080000)

/* CPU1 SRAM Size */
#define CFG_CPU1_SRAM_SIZE (0x00080000)
/* CPU1 SRAM Start */
#define CFG_CPU1_SRAM_START (0x01100000)

/* CPU0 SDRAM Size */
#define CFG_CPU0_SDRAM_SIZE (0x01000000)
/* CPU0 SDRAM Start */
#define CFG_CPU0_SDRAM_START (0x40000000)

/* CPU1 SDRAM Size */
#define CFG_CPU1_SDRAM_SIZE (0x01000000)
/* CPU1 SDRAM Start */
#define CFG_CPU1_SDRAM_START (0x41000000)

/* CPU0 Flash Size */
#define CFG_CPU0_FLASH_SIZE (0x003FE800)
/* CPU0 Flash Start */
#define CFG_CPU0_FLASH_START (0x80003000)

/* CPU1 Flash Size */
#define CFG_CPU1_FLASH_SIZE (0x003FE800)
/* CPU1 Flash Start */
#define CFG_CPU1_FLASH_START (0x80401800)

/* Image1 Start Offset */
#define CFG_IMAGE1_OFFSET (CFG_IMAGE1_START - CFG_IMAGE0_START)

#endif // _CONFIG_H_
