#include "pinmux.h"

void init_sdxc_pins(SDXC_Type *ptr, bool use_1v8) {
  uint32_t cmd_func_ctl = IOC_PAD_FUNC_CTL_ALT_SELECT_SET(17) | IOC_PAD_FUNC_CTL_LOOP_BACK_SET(1);

  uint32_t func_ctl = IOC_PAD_FUNC_CTL_ALT_SELECT_SET(17);
  uint32_t pad_ctl = IOC_PAD_PAD_CTL_MS_SET(use_1v8) | \
                     IOC_PAD_PAD_CTL_DS_SET(7) | IOC_PAD_PAD_CTL_PE_SET(1) | IOC_PAD_PAD_CTL_PS_SET(1);

  if (ptr == HPM_SDXC0) {
  } else if (ptr == HPM_SDXC1) {
    /* CLK */
    HPM_IOC->PAD[IOC_PAD_PD22].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD22].FUNC_CTL = func_ctl;

    /* CMD */
    HPM_IOC->PAD[IOC_PAD_PD21].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD21].FUNC_CTL = cmd_func_ctl;

    /* DATA0 */
    HPM_IOC->PAD[IOC_PAD_PD18].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD18].FUNC_CTL = func_ctl;

    /* DATA1 */
    HPM_IOC->PAD[IOC_PAD_PD17].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD17].FUNC_CTL = func_ctl;

    /* DATA2 */
    HPM_IOC->PAD[IOC_PAD_PD27].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD27].FUNC_CTL = func_ctl;

    /* DATA3 */
    HPM_IOC->PAD[IOC_PAD_PD26].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD26].FUNC_CTL = func_ctl;

    /* CDN */
    HPM_IOC->PAD[IOC_PAD_PD15].PAD_CTL = pad_ctl;
    HPM_IOC->PAD[IOC_PAD_PD15].FUNC_CTL = IOC_PD15_FUNC_CTL_GPIO_D_15;
    HPM_GPIO0->OE[GPIO_OE_GPIOD].CLEAR = 1UL << BOARD_APP_SDCARD_CARD_DETECTION_PIN_INDEX;
  }
}
